Last modified: 2013-11-03 08:56:27 UTC

Wikimedia Bugzilla is closed!

Wikimedia has migrated from Bugzilla to Phabricator. Bug reports should be created and updated in Wikimedia Phabricator instead. Please create an account in Phabricator and add your Bugzilla email address to it.
Wikimedia Bugzilla is read-only. If you try to edit or create any bug report in Bugzilla you will be shown an intentional error message.
In order to access the Phabricator task corresponding to a Bugzilla report, just remove "static-" from its URL.
You could still run searches in Bugzilla or access your list of votes but bug reports will obviously not be up-to-date in Bugzilla.
Bug 34846 - [PostgreSQL] update.php: Call to undefined method PostgresField::isMultipleKey() in OpenID.hooks.php on line 361
[PostgreSQL] update.php: Call to undefined method PostgresField::isMultipleKe...
Status: RESOLVED FIXED
Product: MediaWiki extensions
Classification: Unclassified
OpenID (Other open bugs)
unspecified
All All
: Normal normal (vote)
: ---
Assigned To: T. Gries
:
Depends on:
Blocks: postgres 34844
  Show dependency treegraph
 
Reported: 2012-03-01 09:13 UTC by Anton Kochkov
Modified: 2013-11-03 08:56 UTC (History)
4 users (show)

See Also:
Web browser: ---
Mobile Platform: ---
Assignee Huggle Beta Tester: ---


Attachments

Description Anton Kochkov 2012-03-01 09:13:16 UTC
Mediawiki version http://droid-developers.org/wiki/Special:Version

update.php: Call to undefined method PostgresField::isMultipleKey() in OpenID.hooks.php on line 361
Comment 1 T. Gries 2012-03-01 15:34:22 UTC
Please indicate the complete version number of OpenID (see Special:Version),
and your MediaWiki.

Please see http://www.mediawiki.org/wiki/Extension_talk:OpenID#First_aid_checklist .
Comment 2 Anton Kochkov 2012-03-01 15:44:05 UTC
(In reply to comment #1)
> Please indicate the complete version number of OpenID (see Special:Version),
> and your MediaWiki.
> 
> Please see
> http://www.mediawiki.org/wiki/Extension_talk:OpenID#First_aid_checklist .

Version of MediaWiki: 1.19alpha of OpenID 0.946-beta 20120201
Comment 3 Max Semenik 2012-03-01 15:50:22 UTC
(In reply to comment #1)
> Please indicate the complete version number of OpenID (see Special:Version),
> and your MediaWiki.

It obviously should explode on trunk.
Comment 4 T. Gries 2012-03-01 16:58:34 UTC
> (In reply to comment #1)
> > Please indicate the complete version number of OpenID (see Special:Version),
> > and your MediaWiki.
> 
> It obviously should explode on trunk.

What do you want to say exactly ? The version number is currently at 1.001 .
Comment 5 T. Gries 2012-03-01 17:16:17 UTC
(In reply to comment #0)
> Mediawiki version http://droid-developers.org/wiki/Special:Version
> 
> update.php: Call to undefined method PostgresField::isMultipleKey() in
> OpenID.hooks.php on line 361

I am not an expert for PostgreSQL databases. The mentioned error will "only" happen once when changing the database schema (i.e. during updating), and checking and trying to migrate from a - possibly - very old OpenID installation , where the index was not necessarily unique.

Are you able to change this index manually so that it becomes unique ?

Please let us know your results, so that your experiences can be used to improve the extension for PostgreSQL. I have only tested it with MySQL. 

An expert for PostgreSQL can perhaps look to 

* https://svn.wikimedia.org/viewvc/mediawiki/trunk/extensions/OpenID/OpenID.hooks.php
* public static function onLoadExtensionSchemaUpdates

I will indicate this on the extensions' manual page. The readme already says only "0.940 changed database schema updater; tested for MySQL".
Comment 6 Chad H. 2012-03-01 17:29:24 UTC
(In reply to comment #5)
> An expert for PostgreSQL can perhaps look to 
> 

It doesn't take a postgres expert.

(In reply to comment #3)
> (In reply to comment #1)
> > Please indicate the complete version number of OpenID (see Special:Version),
> > and your MediaWiki.
> 
> It obviously should explode on trunk.

Ding ding ding.
Comment 7 T. Gries 2012-03-01 17:43:32 UTC
> > An expert for PostgreSQL can perhaps look to 
> > 
> 
> It doesn't take a postgres expert.
> 
> (In reply to comment #3)
> > (In reply to comment #1)
> > > Please indicate the complete version number of OpenID (see Special:Version),
> > > and your MediaWiki.
> > 
> > It obviously should explode on trunk.
> 
> Ding ding ding.

This is not a helpful comment.
Comment 8 Gerrit Notification Bot 2013-10-29 00:34:04 UTC
Change 92466 had a related patch set uploaded by saper:
Add uoi_user_registration for PostgreSQL

https://gerrit.wikimedia.org/r/92466
Comment 9 Gerrit Notification Bot 2013-11-03 08:54:41 UTC
Change 92466 merged by Wikinaut:
Add uoi_user_registration for PostgreSQL

https://gerrit.wikimedia.org/r/92466
Comment 10 T. Gries 2013-11-03 08:56:27 UTC
tested, verfied. merged version 3.43. Thanks to all, who helped.

Note You need to log in before you can comment on or make changes to this bug.


Navigation
Links